Standalone Transfers
Reverse Standalone Transfer
Fully or partially reverses a standalone platform-to-recipient transfer
POST
/
split-marketplace
/
transfers
/
{transfer_id}
/
reverse
Reverse Standalone Transfer
curl --request POST \
--url https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse \
--header 'Content-Type: application/json' \
--header 'PRIVATE-SECRET-KEY: <api-key>' \
--header 'PUBLIC-API-KEY: <api-key>' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"account_id": "{{account-code}}",
"reason": "Order cancelled by the customer",
"description": "Reversal of transfer",
"merchant_reference": "MR-REVERSAL-001"
}
'import requests
url = "https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse"
payload = {
"account_id": "{{account-code}}",
"reason": "Order cancelled by the customer",
"description": "Reversal of transfer",
"merchant_reference": "MR-REVERSAL-001"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"PUBLIC-API-KEY": "<api-key>",
"PRIVATE-SECRET-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
'PUBLIC-API-KEY': '<api-key>',
'PRIVATE-SECRET-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '{{account-code}}',
reason: 'Order cancelled by the customer',
description: 'Reversal of transfer',
merchant_reference: 'MR-REVERSAL-001'
})
};
fetch('https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '{{account-code}}',
'reason' => 'Order cancelled by the customer',
'description' => 'Reversal of transfer',
'merchant_reference' => 'MR-REVERSAL-001'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"PRIVATE-SECRET-KEY: <api-key>",
"PUBLIC-API-KEY: <api-key>",
"X-Idempotency-Key: <x-idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse"
payload := strings.NewReader("{\n \"account_id\": \"{{account-code}}\",\n \"reason\": \"Order cancelled by the customer\",\n \"description\": \"Reversal of transfer\",\n \"merchant_reference\": \"MR-REVERSAL-001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Idempotency-Key", "<x-idempotency-key>")
req.Header.Add("PUBLIC-API-KEY", "<api-key>")
req.Header.Add("PRIVATE-SECRET-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse")
.header("X-Idempotency-Key", "<x-idempotency-key>")
.header("PUBLIC-API-KEY", "<api-key>")
.header("PRIVATE-SECRET-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"{{account-code}}\",\n \"reason\": \"Order cancelled by the customer\",\n \"description\": \"Reversal of transfer\",\n \"merchant_reference\": \"MR-REVERSAL-001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Idempotency-Key"] = '<x-idempotency-key>'
request["PUBLIC-API-KEY"] = '<api-key>'
request["PRIVATE-SECRET-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"{{account-code}}\",\n \"reason\": \"Order cancelled by the customer\",\n \"description\": \"Reversal of transfer\",\n \"merchant_reference\": \"MR-REVERSAL-001\"\n}"
response = http.request(request)
puts response.read_body{
"id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_id": "d246d578-266c-47c3-92b6-1748d780711b",
"amount": {
"currency": "USD",
"value": 1
},
"status": "REVERSED_PARTIAL",
"reason": "ORDER_CANCELLED",
"description": "Partial reversal",
"merchant_reference": "REVERSAL-001",
"provider_data": {
"id": "STRIPE",
"recipient_id": "acct_example",
"transaction_id": "trr_example",
"response_code": "",
"response_message": ""
},
"transactions": [
{
"code": "cb5fd244-90fd-49b0-a160-a9d9f764eb9e",
"type": "SPLIT_TRANSFER",
"status": "SUCCEEDED",
"provider_transfer_id": "tr_example",
"created_at": "2026-09-15T10:00:00Z",
"updated_at": "2026-09-15T10:00:00Z"
},
{
"code": "0e5b4d60-4811-4a48-90c1-398d28dbce8c",
"type": "SPLIT_TRANSFER_REVERSE",
"status": "SUCCEEDED",
"parent_transaction_code": "cb5fd244-90fd-49b0-a160-a9d9f764eb9e",
"provider_transfer_id": "trr_example",
"reason": "ORDER_CANCELLED",
"created_at": "2026-09-15T10:05:00Z",
"updated_at": "2026-09-15T10:05:00Z"
}
],
"created_at": "2026-09-15T10:00:00Z",
"updated_at": "2026-09-15T10:05:00Z"
}
Fully or partially reverse a
PLATFORM_TO_RECIPIENT transfer, subject to its status and remaining reversible amount.
A RECIPIENT_TO_PLATFORM parent cannot be reversed: both full and partial reversal requests return 400 INVALID_PARAMETERS. To return a separately collected fee, create a new transfer with direction: PLATFORM_TO_RECIPIENT.
The reversal HTTP response describes the parent after the reversal and does not include direction. Use GET to read the unchanged parent direction. The reversal notification includes the parent’s PLATFORM_TO_RECIPIENT direction.Headers
Unique key for request idempotency.
Path Parameters
The unique ID of the transfer flow to reverse.
Body
application/json
The unique identifier of the account.
The reason for the reversal. Required: the API returns 400 INVALID_PARAMETERS ("The field 'reason' is required.") when it is missing.
Show child attributes
Show child attributes
A human-readable description for the reversal.
Merchant's unique identifier for tracking this reversal.
Response
Reversal processed
The parent transfer after a reversal. Direction is available through GET, not this response.
Was this page helpful?
⌘I
Reverse Standalone Transfer
curl --request POST \
--url https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse \
--header 'Content-Type: application/json' \
--header 'PRIVATE-SECRET-KEY: <api-key>' \
--header 'PUBLIC-API-KEY: <api-key>' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"account_id": "{{account-code}}",
"reason": "Order cancelled by the customer",
"description": "Reversal of transfer",
"merchant_reference": "MR-REVERSAL-001"
}
'import requests
url = "https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse"
payload = {
"account_id": "{{account-code}}",
"reason": "Order cancelled by the customer",
"description": "Reversal of transfer",
"merchant_reference": "MR-REVERSAL-001"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"PUBLIC-API-KEY": "<api-key>",
"PRIVATE-SECRET-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
'PUBLIC-API-KEY': '<api-key>',
'PRIVATE-SECRET-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '{{account-code}}',
reason: 'Order cancelled by the customer',
description: 'Reversal of transfer',
merchant_reference: 'MR-REVERSAL-001'
})
};
fetch('https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '{{account-code}}',
'reason' => 'Order cancelled by the customer',
'description' => 'Reversal of transfer',
'merchant_reference' => 'MR-REVERSAL-001'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"PRIVATE-SECRET-KEY: <api-key>",
"PUBLIC-API-KEY: <api-key>",
"X-Idempotency-Key: <x-idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse"
payload := strings.NewReader("{\n \"account_id\": \"{{account-code}}\",\n \"reason\": \"Order cancelled by the customer\",\n \"description\": \"Reversal of transfer\",\n \"merchant_reference\": \"MR-REVERSAL-001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Idempotency-Key", "<x-idempotency-key>")
req.Header.Add("PUBLIC-API-KEY", "<api-key>")
req.Header.Add("PRIVATE-SECRET-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse")
.header("X-Idempotency-Key", "<x-idempotency-key>")
.header("PUBLIC-API-KEY", "<api-key>")
.header("PRIVATE-SECRET-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"{{account-code}}\",\n \"reason\": \"Order cancelled by the customer\",\n \"description\": \"Reversal of transfer\",\n \"merchant_reference\": \"MR-REVERSAL-001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Idempotency-Key"] = '<x-idempotency-key>'
request["PUBLIC-API-KEY"] = '<api-key>'
request["PRIVATE-SECRET-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"{{account-code}}\",\n \"reason\": \"Order cancelled by the customer\",\n \"description\": \"Reversal of transfer\",\n \"merchant_reference\": \"MR-REVERSAL-001\"\n}"
response = http.request(request)
puts response.read_body{
"id": "550e8400-e29b-41d4-a716-446655440000",
"recipient_id": "d246d578-266c-47c3-92b6-1748d780711b",
"amount": {
"currency": "USD",
"value": 1
},
"status": "REVERSED_PARTIAL",
"reason": "ORDER_CANCELLED",
"description": "Partial reversal",
"merchant_reference": "REVERSAL-001",
"provider_data": {
"id": "STRIPE",
"recipient_id": "acct_example",
"transaction_id": "trr_example",
"response_code": "",
"response_message": ""
},
"transactions": [
{
"code": "cb5fd244-90fd-49b0-a160-a9d9f764eb9e",
"type": "SPLIT_TRANSFER",
"status": "SUCCEEDED",
"provider_transfer_id": "tr_example",
"created_at": "2026-09-15T10:00:00Z",
"updated_at": "2026-09-15T10:00:00Z"
},
{
"code": "0e5b4d60-4811-4a48-90c1-398d28dbce8c",
"type": "SPLIT_TRANSFER_REVERSE",
"status": "SUCCEEDED",
"parent_transaction_code": "cb5fd244-90fd-49b0-a160-a9d9f764eb9e",
"provider_transfer_id": "trr_example",
"reason": "ORDER_CANCELLED",
"created_at": "2026-09-15T10:05:00Z",
"updated_at": "2026-09-15T10:05:00Z"
}
],
"created_at": "2026-09-15T10:00:00Z",
"updated_at": "2026-09-15T10:05:00Z"
}